<?php
require'f_descarcari.php';
$titlu='Comenteaza fișier '.$pnume;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='comentariu la fișierul '.$pinfo[3].', din albumul '.$finfo[2].', de la descarcari';
$text=$pmtext;
require'f_ban.php';
}
if($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$pinfo[1].'"')->fetch_row()[0]==0)
{
if(($pmtext!=''&&$conn->query('SELECT COUNT(*)FROM`descarcari_comentarii`WHERE`text`="'.$pmtext.'"&&`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row()[0]==0&&$conn->query('SELECT`de`FROM`descarcari_comentarii`WHERE`pid`="'.$pid.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]!=$de?$conn->query('INSERT INTO`descarcari_comentarii`SET`de`="'.$de.'",`pid`="'.$pid.'",`text`="'.$pmtext.'",`pret`="'.$pinfo[10].'",`data`="'.$_SERVER['REQUEST_TIME'].'"'):false))
{
$id_comentariu=$conn->insert_id;
if($pinfo[10]>0&&$pinfo[1]!=$de)
{
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$pinfo[10].' WHERE`id`="'.$pinfo[1].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$pinfo[10].' WHERE`id`="'.$de.'"');
}
require'f_notificare.php';
if($de!=$pinfo[1])
notificare('am scris [url=/comentarii-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la fișierul tau [url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]![br/]Din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]',$pinfo[1],$de);
$abonati[0]=$de;
$items=$conn->query('SELECT DISTINCT`de`FROM`descarcari_comentarii`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$items=$conn->query('SELECT DISTINCT`de`FROM`descarcari_aprecieri`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$items=$conn->query('SELECT DISTINCT`de`FROM`descarcari_note`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$abonati=array_unique($abonati);
unset($abonati[0]);
foreach($abonati AS$cheie=>$valoare)
{
notificare('am scris și eu [url=/comentarii-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la fișierul [url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]![br/]Din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]',$valoare,$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a scris [url=/comentarii-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la fișierul [url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url][br/]Din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Comentariu adaugat'.($pinfo[10]>0?', iar tu ai primit de la '.nume($pinfo[1]).' <strong>'.$pinfo[10].'</strong> lei':'').'!<br />Vei primi notificari cand primește comentarii noi!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic, comentariul anterior a fost scris tot de tine, sau ai mai scris acest text intr-un alt comentariu la acest fișier!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți comenta acest fișier, deoarece '.nume($pinfo[1]).' te are în lista cu persoane ignorate!';
echo$div[0];
require'f_jos.php';